DEL
Delete signature shares on a transaction request
Allows users to clear the signature shares on a transaction request. This will also set the state to pendingUserSignature. Use only with MPC wallets.
Path Params
-
walletIdstring requiredThe ID of the wallet -
txRequestIdstring uuid requiredThe ID of the transaction request
Body Params
object
Delete Signature Shares Request Body
The optional request body for clearing the signature shares on a transaction request.
-
skipRebuildbooleanSkip rebuilding the transaction request after clearing signature shares.
When true, only the signature shares are deleted and the transactions are not rebuilt.
Responses
200
OK
Response Body
array of objects
-
vssProofstringThe VSS proof of the signature share -
privateShareProofstringThe private share proof -
publicSharestringThe public share -
fromstring enum requiredThe source of the signature share.userbackupbitgo -
tostring enum requiredThe recipient of the signature share.userbackupbitgo -
sharestring requiredThe signature share
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id